# Journey Status

Use the `updateJourneyStatusMutation` mutation to update the status of "day" on a journey.

### Required Arguments

| Argument    | Type          | Description                                                                     |
| ----------- | ------------- | ------------------------------------------------------------------------------- |
| `journeyId` | String        | [ProfileJourney ](/graphql/query/queries/content/journey.md#currentjourneys)id. |
| `status`    | JourneyStatus | JourneyStatus enum. `CLOSE`, `OPEN`, `FINISH`                                   |

## Available Field

The following fields will be part of the response.

| Field name | Type   | Description                                                                |
| ---------- | ------ | -------------------------------------------------------------------------- |
| `sucess`   | String | **True** if the Journey has been updated. Otherwise, it displays **False** |
| `message`  | String | Description of the result                                                  |

### Example

The following example changes a Journey status to Finish

{% tabs %}
{% tab title="Query" %}

```graphql
mutation {
  updateJourneyStatus(
    journeyId: "UHJvZ3JhbTowYWQ0ZTc3YS04ZWRhLTRlOWItYWM4ZS0xYzg0YTJlOGJiNDI="
    status: FINISH
    ) {
    success
    message
  }
}

```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "updateJourneyStatus": {
      "success": true,
      "message": "Ok"
    }
  }
}
```

{% endtab %}
{% endtabs %}

If a Journey does not exist, the following message is displayed:

{% tabs %}
{% tab title="Response" %}

```graphql
{
  "data": {
    "updateJourneyStatus": {
      "success": false,
      "message": "Journey not found."
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/query/mutations/journey.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
